/*************************************************
 * main.h for SmartHome
 * Sina Karimi, Ryan Campbell, Hector Nunez
 * Feb, 2010
 *
 *************************************************/


#ifndef _MAIN_H
#define _MAIN_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern "C"
{
#include "parts/m55800/lib_m55800.h"
#include "drivers/capture/capture.h"
#include "parts/m55800/eb55.h"
#include "periph/ebi/lib_ebi.h"

#include "types.h"
#include "w5300.h"
#include "socket.h"

#include "bsp.h"
#include "os_cpu.h"
#include "app_cfg.h"
#include "ucos_ii.h"
    
#include "globals.h"
}

#include "httpd.h"
#include "ftp.h"
#include "camera.h"

#ifndef NULL
#define NULL    (void*)0
#endif

Camera camera;
FTP_Client ftp_client;
Httpd httpd;

static void HttpdTask(void *p_arg);

extern "C"
{
/*--------------------------------------------------------------------------
 * Function Name       : wiznet_ebi_setup					
 * Object              : setup the wiznet EBI configuration			
 * Input Parameters    : none						 
 * Output Parameters   : none						 
 * ------------------------------------------------------------------------- */
void wiznet_ebi_setup();

/*--------------------------------------------------------------------------
 * Function Name       : wiznet_init					 
 * Object              : initialize the wiznet and setup the networking	 
 *			  configuration and information.		 
 * Input Parameters    : none						 
 * Output Parameters   : none						 
 *-------------------------------------------------------------------------- */
void wiznet_init();

INT8U HttpdTaskStart();


}

#endif /* MAIN_H */
